> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/liquityv2/liquityv2open.md).

# LiquityV2Open

### Description

Opens a LiquityV2 trove on a specific market

> **Notes**
>
> Opening a trove requires fixed fee of 0.0375 WETH on LiquityV2, regardless of market used.

### Action ID

`0x2dfc4d0b`

### SDK Action

```ts
const liquityV2OpenAction = new dfs.actions.liquityV2.LiquityV2OpenAction(
    market,
    from,
    to,
    collToken,
    interestBatchManager,
    ownerIndex,
    collAmount,
    boldAmount,
    upperHint,
    lowerHint,
    annualInterestRate,
    maxUpfrontFee
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param market The address of the LiquityV2 market (collateral branch)
    /// @param from The address to pull the tokens from
    /// @param to The address to send the bold tokens to
    /// @param interestBatchManager The address of the interest batch manager
    /// @param ownerIndex The index of the owner used to calculate the trove ID
    /// @param collAmount The amount of collateral to deposit
    /// @param boldAmount The amount of BOLD to mint
    /// @param upperHint The upper hint for the trove
    /// @param lowerHint The lower hint for the trove. See LiquityV2View for fetching hints
    /// @param annualInterestRate The annual interest rate for the trove
    /// @param maxUpfrontFee The maximum upfront fee to pay
    struct Params {
        address market;
        address from;
        address to;
        address interestBatchManager;
        uint256 ownerIndex;
        uint256 collAmount;
        uint256 boldAmount;
        uint256 upperHint;
        uint256 lowerHint;
        uint256 annualInterestRate;
        uint256 maxUpfrontFee;
    }
```

### Return Value

```solidity
return bytes32(collAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityV2Open", logData);
logger.logActionDirectEvent("LiquityV2Open", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/liquityv2/liquityv2open.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
